Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray2.tracing
Class BidirectionalRenderer

    java.lang.Object
      de.grogra.task.Task
          de.grogra.ray2.tracing.PixelwiseRenderer
              de.grogra.ray2.tracing.BidirectionalRenderer

All Implemented Interfaces:
  Renderer

    public class BidirectionalRenderer

extends PixelwiseRenderer

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.ray2.tracing.PixelwiseRenderer
`PixelwiseRenderer.RenderTask, PixelwiseRenderer.Result`

Field Summary

Fields inherited from class de.grogra.ray2.tracing.PixelwiseRenderer
`antialiasing, ANTIALIASING, AUTO_ADJUST, AUTO_ADJUST_MAX_VALUE, autoAdjust, autoAdjustMaxValue, brightness, BRIGHTNESS, camera, cameraTransformation, DEBUG_LINE, DEBUG_PIXEL, DEBUG_SUBPIXEL, DEBUG_X, DEBUG_Y, hdr, HDR, hdrPixels, height, image, imageUpdateDistance, imageUpdateRate, lineState, maxValue, monitor, observer, originalScene, RAYPROCESSOR, REMOVE_OUTLIERS, removeOutliers, renderedLines, rgbaPixels, seed, SEED, THREAD_COUNT, threadCount, width`

Constructor Summary
`BidirectionalRenderer()`

Method Summary
`float[]` | `getPixelsForLine2Vertex(Environment env, Point3d vertex)`
`void` | `mergeCaustic2Image()`
`void` | `mergeCausticMap(CausticMap localMap)`
`void` | `render(Scene scene, Sensor camera, Matrix4d cameraTransformation, int width, int height, java.awt.image.ImageObserver obs)` Renders an image of a `scene`.
`protected void` | `renderLines(Antialiasing antialiasing, IntList lines, PixelwiseRenderer.Result res)`

Methods inherited from class de.grogra.ray2.tracing.PixelwiseRenderer
`createLocalSolver, dispose, done, getAdjustFactor, getAutoAdjust, getBooleanOption, getBrightness, getCamera, getCameraTransformation, getClassOption, getNumericOption, getScene, getSeed, initialize, luminance, merge, nextPartialTask, removeOutliers, setAntialiasing, setAutoAdjust, setAutoAdjustMaxValue, setBrightness, setHDR, setMessage, setThreadCount, toIntColor, toRGBA`

Methods inherited from class de.grogra.task.Task
`addSolver, finishSolve, getSolverCount, getSolvers, isSolving, isStopped, partialTaskDone, prepareSolve, removeSolver, removeSolvers, solve, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.ray2.Renderer
`stop`

Constructor Detail

### BidirectionalRenderer

    public BidirectionalRenderer()

Method Detail

### getPixelsForLine2Vertex

    public float[] getPixelsForLine2Vertex(Environment env,
                                           Point3d vertex)

### mergeCaustic2Image

    public void mergeCaustic2Image()

### mergeCausticMap

    public void mergeCausticMap(CausticMap localMap)

### render

    public void render(Scene scene,
                       Sensor camera,
                       Matrix4d cameraTransformation,
                       int width,
                       int height,
                       java.awt.image.ImageObserver obs)

  Description copied from interface: `Renderer`
  Renders an image of a `scene`.

  Specified by:
    `render` in interface `Renderer`
  Overrides:
    `render` in class `PixelwiseRenderer`
  Parameters:
    `scene` - scene to render
    `camera` - camera to use
    `cameraTransformation` - transformation from camera coordinates to world coordinates
    `width` - width of image
    `height` - height of image
    `obs` - the observer receives the image data

### renderLines

    protected void renderLines(Antialiasing antialiasing,
                               IntList lines,
                               PixelwiseRenderer.Result res)

  Overrides:
    `renderLines` in class `PixelwiseRenderer`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD